EndpointsReporters

List reporters

GET/v2/reporters

Lists reporters ordered by name. Optional filters can be combined, and a continuation cursor is returned in the X-Next-Cursor header when another page exists.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Query Parameters

q?|

Substring match on name, title, description, or version purpose.

type?array<string>|

Keep reporters producing at least one part of this type.

mode?Mode

Reporter hosting mode to return.

Match^(all|hosted|external)$
Default"all"
author?|

Owner user id (exact).

schema_uri?|

Exact schema URI in the reporter's current declared outputs.

limit?Limit

Maximum reporters returned.

Range1 <= value <= 500
Default200
cursor?|

Continuation cursor returned in the previous response header.

curl -X GET "https://example.com/v2/reporters"
[  {    "id": "string",    "name": "string",    "display_name": "string",    "description": "string",    "user_id": "string",    "author": {      "id": "string",      "name": "string",      "email": "string",      "is_softmax_team_member": true,      "discord_id": "string",      "created_at": "2019-08-24T14:15:22Z"    },    "created_at": "2019-08-24T14:15:22Z",    "latest_version": 0,    "outputs": [      {        "name": "string",        "type": "render-html",        "description": "string",        "schema": "string",        "optional": false      }    ],    "run_count": 0,    "output_count": 0  }]